Subject: Re: OpenNT & GNU-Win32 Comparison?
From: [email-masked] (Andreas Bischoff)

21 Jul 1997 17:19:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

Hi Peter,

> 
> Hi,
> 
> Has anyone done any comparison between OpenNT by Softway and GNU-Win32?  If
> you know any information or have done a comparison, please let me know the
> result.  It seems that they are competing products.  Of course, OpenNT is a
> commercial product which means it costs money.  However, I believe that
> OpenNT has a better develop environment with a more complete set of tools. 
> This is what I understand base on the information on the web.  If you know
> anything more or use it before, please let me know.  Thank you in advance.
> 
> --Peter
> 
> -

I didn't do a highly sophisticated comparison, but did check out the
30 day demo.

Turned out that I couldn't do much with it.
OpenNT requires that you have MSVC installed and does not support C++
so far. Also, I need Fortran, which is not supported.

I've tried to compile a couple of standard utilities, started with tcl,
but the autoconfigure didn't work out.

Tried also to get gcc/g++ compiled but without much luck, at which point
I didn't spend any more time with it.
Also, the bundled X server is the one from Netmanage, which didn't impress me
either.

The usage of MSVC creates a mess in my opinion. 
They tried to create a wrapper, which converts unix like path names to
windoze like ones. At least in my case this didn't seem to work very well.

I still think the idea of having a working POSIX subsytem is a good one
but I'd rather wait for the next release.

They promised to put tcl/tk and gcc on their web side. Didn't check recently.

Regards,

		Andreas
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".